hifrog - Bug #5016

when increasing bitwidth, wrong result is reported
20/04/2017 12:41 - Sepideh Asadi

Status: Closed Start date: 20/04/2017
Priority: Normal Due date:

Assignee: Sepideh Asadi % Done: 90%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

/hifrog --claim 1 --theoref --bitwidth 8 --unwind 10
~/dev/hi-bench/challenge-bench/sv-comp16/c/bitvector/num_conversion_2_true-unreach-call.c

Refinement successful
VERIFICATION SUCCESSFUL

/hifrog --claim 1 --theoref --bitwidth 32 --unwind 10
~/dev/hi-bench/challenge-bench/sv-comp16/c/bitvector/num_conversion_2_true-unreach-call.c

Weak statement encodings (33) found
Weak statement encodings (1) found

Obtained counter-examples are refined
(34 / 35 expressions bit-blasted)

VERIFICATION FAILED

History

#1 - 20/04/2017 12:42 - Sepideh Asadi
CBMC is UNSAT.

#2 - 02/05/2017 22:44 - Karine Even Mendoza

bitwidth 16 - SAT
bitwidth 8 - UNSAT

#3 - 08/06/2017 17:44 - Karine Even Mendoza

- Assignee set to Antti Hyvérinen

The encoding (SMT + SSA parsing) is the same for 8 or 16 bits.
But the same encoding returns different results from opensmt when bitwidth is 8 or 16.

Anyidea?
#4 - 09/06/2017 19:23 - Karine Even Mendoza
- Status changed from New to Feedback

- Assignee changed from Antti Hyvérinen to Sepideh Asadi

- % Done changed from 0 to 90

Add new functionality to support this case: --type-byte-constraints.
Works now

#5 - 16/06/2017 18:15 - Karine Even Mendoza
- Status changed from Feedback to Closed

18/05/2024

1/1



http://www.tcpdf.org

